We're sorry Aspose doesn't work properply without JavaScript enabled.

Free Support Forum - aspose.com

Invalid Formula Opening .xlsm file

Hi, we're experiencing an issue loading newer .xlsm files with macros with our current version 7.2.1.0 and I don't think we qualify for an upgrade. But please let us know if you have fixed this already in latest release. If you need the file, I can send in private message.

I was previously working with Amjad on our problems with saving files... This one is opening an existing template.

thanks
Marty

Aspose.Cells.CellsException: Error in Cell: G67-Invalid formula."IF(ISERROR(G$8),"", IF(VLOOKUP(INDEX(InputMatrix!$AR$5:$AR$1506, G$8), tableCBHCareTranslation, MATCH(DATA!$T$3,INDEX(tableCBHCareTranslation,1,0), 0)), VLOOKUP(INDEX(InputMatrix!$AR$5:$AR$1506, G$8), tableCBHCareTranslation, MATCH(DATA!$S$3,INDEX(tableCBHCareTranslation,1, 0), 0)), VLOOKUP(INDEX(InputMatrix!$AR$5:$AR$1506, G$8), tableCBHCareTranslation, MATCH(DATA!$S$3,INDEX(tableCBHCareTranslation,1, 0), 0))))". at . .\b (Cell , String , Byte , Boolean ) at Aspose.Cells.Cell.\b (String )

at
.\b.\b (XmlTextReader , Row , Int32 , Int32 )

at
.\b.\b (XmlTextReader , Int32 )

at
.\b. (XmlTextReader )

at
.\b.\b (XmlTextReader )

at .
. (
, String )

at .
. (
, String )

at .
. ()

at .
.\b ()

at .
.\b (Workbook )

at Aspose.Cells.Workbook.\b (Stream ,
LoadOptions , Boolean )

at Aspose.Cells.Workbook.\b (String ,
LoadOptions )

at Aspose.Cells.Workbook…ctor(String file)

Hi,


I am afraid, we can only recommend you try with our latest version/fix v7.5.0.1, if it works fine. We included more enhancements regarding read/calculate formula calculation engine and read Excel files, so we recommend you to try it, you may comment out the licensing code and try if it works or not. If you still find the issue, I am afraid, we need your template file for evaluation of your issue on our end. If we find the issue with the latest version, we will fix it soon. Also, I am afraid, the fixes are only provided based on the latest version of the product as we cannot provide fixes or add/include any enhancements in the older versions of the product.

Thanks,

Thanks Amjad, we'll try that. I tried the 7.4.3.1 and it seemed to open but the evaluation message was interfering with the form. But I guess that may have worked.

We'll try the latest.

thanks for your fast response!

Marty

Hi,


Good to know that later/newer versions work for you, so you may use the latest version (if possible).

Thanks and have a good day!